{ pkgs, ... }: {
  home.packages = with pkgs; [
    # Build deps
    nodejs
    cmake
    libtool

    # Additional packages for functionality
    mu
    zip
    unzip
    isync
    ispell
    ledger
    texliveFull

    # Fonts
    maple-mono.truetype

    # LSP Servers
    nil
    ccls
    yaml-language-server
    python3Packages.python-lsp-server
    nodePackages.typescript-language-server
    nodePackages.vscode-json-languageserver
  ];

  programs = {
    emacs = {
      enable = true;
      package = pkgs.emacs30;
      extraPackages = epkgs: with epkgs; [
        mu4e
        vterm
        all-the-icons
        nerd-icons
      ];
    };
  };
}
